WordPress.org

Make WordPress Core

Changeset 47238 for trunk/package.json


Ignore:
Timestamp:
02/10/2020 03:15:07 PM (22 months ago)
Author:
aduth
Message:

Script Loader: Add polyfill for window.URL, window.DOMRect.

Pending block editor revisions for WordPress 5.4 will make use of window.URL and window.DOMRect. These are not available in Internet Explorer (or pre-Chromium Edge for DOMRect) and must be polyfilled to avoid script errors.

The changes make use of the existing polyfill pattern, and existing polyfill-library dependency. The dependency is bumped to the latest version, since the previous version did not include the DOMRect polyfill.

Props jorgefilipecosta.
Fixes #49360.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/package.json

    r47199 r47238  
    133133        "masonry-layout": "3.3.2",
    134134        "moment": "2.22.2",
    135         "polyfill-library": "3.27.4",
     135        "polyfill-library": "3.42.0",
    136136        "react": "16.9.0",
    137137        "react-dom": "16.9.0",
Note: See TracChangeset for help on using the changeset viewer.